{% extends 'base.html' %}

{% block title %}Connect to Cluster{% endblock %}

{% block content %}
    <div class="content-base">
        {% if message %}
            <h4>{{ message }}</h4>
        {% else %}
            <h4>Connect to Cluster</h4>
        {% endif %}

        <form method="post" action="{{ url_for('cluster_create') }}" enctype="multipart/form-data">
            {{ form.csrf_token }}
            {% for field in form %}
                {{ md.input(field) }}
            {% endfor %}
            {{ md.submit_button('Create') }}
            {{ md.non_field_err(form) }}
        </form>
    </div>
{% endblock %}
